footer {
  text-align: right;
  padding: 20px;
}

form.normal-form {
  margin: 10px;
}

.controles-container {
  width: 100%;
  padding: 5%;
}

.controles-container > * {
  width: 100%;
}

.add-bottom-padding {
  padding-bottom: 10px;
}

/* radio group */
mat-radio-group mat-radio-button {
  margin-left: 5px;
}

.button-row {
  height: 100%;
  display: flex;
  align-items: flex-end;
  justify-content: flex-end;

  button {
    margin: 5px;
  }
}


/* notification */
snack-bar-container.success {
  background-color: #5cb85c;
  color: #fff;
}

snack-bar-container.warn {
  background-color: #f99157;
  color: #fff;
}


snack-bar-container.notification simple-snack-bar {
  font-size: 18px !important;
  font-weight: bold;
}


.hide {
  display: none;
}

/* mat-table */
mat-footer-row mat-footer-cell {
  justify-content: center;
  font-style: italic;
}

/* filter controls */
.search-div {
  margin: 10px;
}

.search-form-field {
  width: 60%;
  margin-left: 10px;
  padding: 5px 10px;
  background-color: #f5f5f5;
  border-radius: 5px;
}

.search-form-field div.mat-form-field-underline {
  display: none;
}

.search-form-field div.mat-form-field-infix {
  border-top: 0px;
}

.search-form-field div.mat-form-field-wrapper {
  padding-bottom: 0px;
}

.search-form-field div.mat-form-field-suffix button {
  height: 32px;
  width: 32px;
}

/* for dialog pop-up */
.btn-dialog-close {
  width: 45px;
  min-width: 0px !important;
  height: 40px;
  padding: 0px !important;
}

/* mat-confirm-dialog (customised dialog) */
.confirm-dialog-container .mat-dialog-container {
  border-radius: .25em .25em .4em .4em;
  padding: 0px;
}

.confirm-dialog-container .content-container {
  margin: 5px 5px 15px 5px;
  color: #8f9cb5;
  display: flex;
}

.confirm-dialog-container #close-icon {
  margin-left: auto;
  order: 2;
  font-weight: bolder;
}

.confirm-dialog-container #close-icon:hover {
  cursor: pointer;
}

.confirm-dialog-container #no-button {
  height: 50px;
  width: 50%;
  background-color: #fc7169;
  color: white;
  border-radius: 0px;
}

.confirm-dialog-container #yes-button {
  height: 50px;
  width: 50%;
  background-color: #b6bece;
  color: white;
  border-radius: 0px;
}

.confirm-dialog-container span.content-span {
  padding: 35px 16px;
  text-align: center;
  font-size: 20px;
}

////////////////////////////////////////////////////////////////////////////
